# Class ElementCollection

  Thelia\Tpex\Element\BaseElement
  Thelia\Tpex\Element\ElementCollection

Namespace: Thelia\Tpex\Element
Located at core/lib/Thelia/Tpex/Element/ElementCollection.php

Methods summary
`public` | # `addElement( `Thelia\Tpex\Element\BaseElement` $element )`
`public mixed` | # `addContent( mixed $content )` #### Parameters $content `mixed` $content #### Returns `mixed`
`public` | # `exec( mixed $substitutions = array() )`
`public integer` | # `type( )` type must return the code of this element. ex : return Thelia\Tpex\TpexToken::TpexText #### Returns `integer`
`public` | # `getElements( )`

Methods inherited from Thelia\Tpex\Element\BaseElement
`replace()`

Properties summary
`protected array` | $elements | `array()` | # BaseElement BaseElement
`protected integer` | $idx | `0` | #
`protected integer` | $lastType | `-1` | #

Properties inherited from Thelia\Tpex\Element\BaseElement
`$content`